Subject: Re: [clue] Fwd: New Version Notification for draft-kyzivat-clue-signaling-02.txt - Christer's two initial comments

From: Christer Holmberg <[email-masked]>
Date: Thu, 28 Feb 2013 07:27:20 +0000

Hi Paul,

A couple of initial comments on the draft:

-----------------

Q1: General: The draft seems to assume that a CONFIGURE transaction takes place before the associated media capabilities is negotiated, e.g. using a re-INVITE. We have discussed before what comes first, SDP Offer or CONFIGURE, and I have previously stated that a CONFIGURE must always be aligned with currently negotiated media capabilities.

However, when thinking more about it, it perhaps makes sense to do the CONFIGURE first, because it allows the endpoints to agree on what to do, which then makes it easier to construct an SDP Offer to negotiate the media capabilities needed for that configuration.

-----------------

Q2: In section 5.1.2., there is a re-INVITE sent, in order to negotiate a "pre-determined bulk of media streams". But, in case those media streams were provided already in the first offer, there is no need to re-negotiate. 

-----------------

Regards,

Christer

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
Sent: 18. helmikuuta 2013 23:43
To: [email-masked]
Subject: Re: [clue] Fwd: New Version Notification for draft-kyzivat-clue-signaling-02.txt

IMO there is now sufficient "meat" here to have some serious discussion among the intended authors about which way we want to go on many things.
So please start shooting.

	Thanks,
	Paul

On 2/18/13 4:16 PM, Paul Kyzivat wrote:
> I just posted the -02 version.
> There is now a history section that summarized the changes.
> Basically this includes a bunch of proposals by me and co-workers.
> Please consider these straw-horses.
>
>      Thanks,
>      Paul
>
>
> -------- Original Message --------
> Subject: New Version Notification for 
> draft-kyzivat-clue-signaling-02.txt
> Date: Mon, 18 Feb 2013 13:01:47 -0800
> From: [email-masked]
> To: [email-masked]
> CC: [email-masked], [email-masked]
>
>
> A new version of I-D, draft-kyzivat-clue-signaling-02.txt
> has been successfully submitted by Paul Kyzivat and posted to the IETF 
> repository.
>
> Filename:     draft-kyzivat-clue-signaling
> Revision:     02
> Title:         CLUE Signaling
> Creation date:     2013-02-18
> Group:         Individual Submission
> Number of pages: 21
> URL:
> http://www.ietf.org/internet-drafts/draft-kyzivat-clue-signaling-02.tx
> t
> Status: http://datatracker.ietf.org/doc/draft-kyzivat-clue-signaling
> Htmlized:        http://tools.ietf.org/html/draft-kyzivat-clue-signaling-02
> Diff: http://www.ietf.org/rfcdiff?url2=draft-kyzivat-clue-signaling-02
>
> Abstract:
>     This document specifies how signaling is conducted in the course of
>     CLUE sessions.  This includes how SIP/SDP signaling is applied to
>     CLUE sessions as well as defining a CLUE-specific signaling protocol
>     that complements SIP/SDP and supports negotiation of CLUE application
>     level data.
>
>
>
>
>
> The IETF Secretariat
>
>
>
>
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue
>

_______________________________________________
clue mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/clue